Last Comment Bug 679509 - Synology file browser fails to list local hard drives with FF7 and newer
: Synology file browser fails to list local hard drives with FF7 and newer
Status: VERIFIED FIXED
js-triage-done [qa!][testcase:c#43]
: regression, verified-aurora, verified-beta
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: All All
: -- normal with 3 votes (vote)
: mozilla10
Assigned To: Jeff Walden [:Waldo] (remove +bmo to email)
:
Mentors:
http://demo.synology.com:5000/
: 692206 692503 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-16 14:52 PDT by Laurentwb
Modified: 2011-11-28 08:40 PST (History)
24 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
affected
+
fixed
+
fixed


Attachments
moznightly error (83.07 KB, image/jpeg)
2011-08-16 22:21 PDT, Laurentwb
laurentwb: feedback+
Details
build 2011-06-20 (working) (96.43 KB, image/jpeg)
2011-08-17 19:57 PDT, Laurentwb
no flags Details
build 2011-06-21 (not working) (74.44 KB, image/jpeg)
2011-08-17 19:57 PDT, Laurentwb
no flags Details
Add-on list when working (80.48 KB, image/jpeg)
2011-08-21 09:01 PDT, Laurentwb
no flags Details
Add-on list when not working (97.77 KB, image/jpeg)
2011-08-21 09:01 PDT, Laurentwb
no flags Details
Print server LN308 admin page with FF7 (41.95 KB, image/jpeg)
2011-10-06 09:57 PDT, Laurentwb
no flags Details
Preliminary patch (2.05 KB, patch)
2011-10-10 18:51 PDT, Jeff Walden [:Waldo] (remove +bmo to email)
luke: review+
Details | Diff | Review
Tests for those (2.06 KB, patch)
2011-10-11 15:25 PDT, Jeff Walden [:Waldo] (remove +bmo to email)
mrbkap: review+
Details | Diff | Review
Take two (5.94 KB, patch)
2011-10-14 15:54 PDT, Jeff Walden [:Waldo] (remove +bmo to email)
luke: review+
jst: review+
christian: approval‑mozilla‑aurora+
christian: approval‑mozilla‑beta+
christian: approval‑mozilla‑release-
Details | Diff | Review
Fixed-up beta patch (6.09 KB, patch)
2011-10-18 15:19 PDT, Jeff Walden [:Waldo] (remove +bmo to email)
no flags Details | Diff | Review

Description Laurentwb 2011-08-16 14:52:14 PDT
User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:7.0a2) Gecko/20110816 Firefox/7.0a2
Build ID: 20110816042010

Steps to reproduce:

I tried to use the file browser that comes with Synology NAS in FF7 and FF8


Actual results:

When trying to access "My computer" drives, the page returns a message saying "Operation failed"


Expected results:

The list of hard disk drives show up in left column.

Comment : It works with all FF versions up to FF6. Not with FF7 and FF8
Comment 1 XtC4UaLL [:xtc4uall] 2011-08-16 17:16:01 PDT
Can you hunt for a Regression Range (against Mozilla-Central / Mozilla-Inbound Repos)?
http://harthur.github.com/mozregression/
Comment 2 Laurentwb 2011-08-16 22:21:06 PDT
Created attachment 553681 [details]
moznightly error
Comment 3 Laurentwb 2011-08-16 22:23:36 PDT
Hi,

I cannot get mozregreesion to work. I've attached a sreen snapshot 
I have added a screen captured to show what it says.
Comment 4 XtC4UaLL [:xtc4uall] 2011-08-17 04:10:01 PDT
You used the wrong Syntax I think.

Per https://wiki.mozilla.org/RapidRelease/Calendar Firefox 6 (the last working Version by Comment 0) moved from Central -> Aurora per 2011-05-24. Thus I'd presume a good starting Point would be that Date against Mozilla-Central.

=> use "mozregression --good=2011-05-24" and follow the "good"/"bad" Path :-).
Comment 5 Laurentwb 2011-08-17 09:25:11 PDT
No way. Doesn't work. Keeps telling me that the module BeautifulSoup does not exist.
Two questions :
1) I use Win 7 64bit. Should I try with a pc having Win7 32bit ?
2) I uninstalled and re-installed nightly and aurora several times. Should it explain that it does not find what it is looking for ?

By the way, your module re is no listed when trying to uninstall it. Should I only delete the installation folder ?
Comment 6 XtC4UaLL [:xtc4uall] 2011-08-17 10:15:18 PDT
(In reply to Laurentwb from comment #5)

Well, just forget about that Tool and try to find the first causing Build manually per downloading in Binary Search Manner from http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/ off the "mozilla-central" flagged Directories.

> By the way, your module re is no listed when trying to uninstall it. Should
> I only delete the installation folder ?

I don't understand. I have no "module re"?!
Comment 7 Laurentwb 2011-08-17 13:09:41 PDT
(In reply to XtC4UaLL [:xtc4uall] from comment #6)
> (In reply to Laurentwb from comment #5)
> 
> Well, just forget about that Tool and try to find the first causing Build
> manually per downloading in Binary Search Manner from
> http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/ off the
> "mozilla-central" flagged Directories.
> 
> > By the way, your module re is no listed when trying to uninstall it. Should
> > I only delete the installation folder ?
> 
> I don't understand. I have no "module re"?!

I'm talking of how to uninstall this c:\mozilla\build thing.

I'll do the manual testing with the old nightly builds but I'm afraid it won't before nest week-en 'cause I have to work to eat on week days (joke).

Just one suggestion : Synology uses Java. So, it would help to suggest dates when significant changes were made with regard to Java.
Thx
Comment 8 Laurentwb 2011-08-17 13:11:15 PDT
My god ... I made so many typos ... I hope you studied egyptology ...
Comment 9 Laurentwb 2011-08-17 19:55:57 PDT
I tried many versions of firefox-7.0a1.en-US.win32.installer.exe and found that the change occured between June 20th and Jue 21st :

2011-06-02 works
2011-06-15 works
2011-06-18 works
2011-06-19 works
2011-06-20 works
2011-06-21 does not work
2011-06-30 does not work

I did not try any win64 version nor FF8 but I'm sure they're affected as well.
I attached 2 snapshots to show you how it looks when the Synology File Station works and does not work.

I hope that all this will help you to solve the issue. Remember that it may be something with Java that is used by the Synology File Station (I hope I don't bring you on the wrong way saying that).

Finally, I would like to inform you that it has been impossible to access the server with FTP with some of the builds. I don't know if it is because the server was very busy or if it was due to the builds but, anyway, current version of FF7 is ok to that respect.

Congratulations and may thanks for the great work you and your colleagues do to maintain FF up-to-date !

Laurent
Comment 10 Laurentwb 2011-08-17 19:57:27 PDT
Created attachment 553987 [details]
build 2011-06-20 (working)
Comment 11 Laurentwb 2011-08-17 19:57:58 PDT
Created attachment 553988 [details]
build 2011-06-21 (not working)
Comment 12 XtC4UaLL [:xtc4uall] 2011-08-18 11:01:23 PDT
Ok thanks. Unfortunately there are two 2011-06-20 Win32 Builds. Which one does work?
2011-06-20-03-mozilla-central or 2011-06-20-12-mozilla-central

The Range for the former Case would be
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=058a584ea7d3&tochange=a285146675dc

the Latter http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=50b63701fc01&tochange=a285146675dc
Comment 13 Laurentwb 2011-08-18 11:35:49 PDT
I didn't see that.
I'll check
Comment 14 Laurentwb 2011-08-18 11:49:11 PDT
Both versions issued on June 20st work. The only one I saw issued on June 2&st doesn't.

Regards.
Comment 15 Laurentwb 2011-08-18 11:49:30 PDT
Both versions issued on June 20st work. The only one I saw issued on June 21st doesn't.

Regards.
Comment 16 Laurentwb 2011-08-18 19:01:57 PDT
Hi,

Here are results for the revisions found in the tracemonkey folders (and private-browsing folders).
Notice that rev from June 10 to June 13 all ave the some number (ending with ba32).
Same comment for the few rev that I tested from private-browsing folders (ending with f627). I checked those because the tracemonkey folders where containing ff7 revisions only from June 7th. Before that, it was ff6 revisions.

2011-06-21-03 : Built from http://hg.mozilla.org/tracemonkey/rev/57ef3b619966 : Does not work
2011-06-20-03 : Built from http://hg.mozilla.org/tracemonkey/rev/cecc5adfc440 : Does not work
2011-06-19-03 : Built from http://hg.mozilla.org/tracemonkey/rev/9b37d1f464e5 : Does not work
2011-06-18-03 : Built from http://hg.mozilla.org/tracemonkey/rev/e59b1d2a2f79 : Does not work
2011-06-17-03 : Built from http://hg.mozilla.org/tracemonkey/rev/01f0e75fce22 : Does not work
2011-06-16-03 : Built from http://hg.mozilla.org/tracemonkey/rev/21e26c404883 : Does not work
2011-06-15-03 : Built from http://hg.mozilla.org/tracemonkey/rev/7e00a56f7405 : Does not work
2011-06-14-03 : Built from http://hg.mozilla.org/tracemonkey/rev/3acacde59381 : Does not work
2011-06-13-03 : Built from http://hg.mozilla.org/tracemonkey/rev/e39bcd6cba32 : Works
2011-06-12-03 : Built from http://hg.mozilla.org/tracemonkey/rev/e39bcd6cba32 : Works
2011-06-11-03 : Built from http://hg.mozilla.org/tracemonkey/rev/e39bcd6cba32 : Works
2011-06-10-03 : Built from http://hg.mozilla.org/tracemonkey/rev/e39bcd6cba32 : Works
2011-06-10-04 : Built from http://hg.mozilla.org/projects/private-browsing/rev/80356fecf627 : Works
2011-06-09-03 : Built from http://hg.mozilla.org/tracemonkey/rev/215f8773178a : Works
2011-06-08-03 : Built from http://hg.mozilla.org/tracemonkey/rev/763b64b88b59 : Works
2011-06-07-03 : Built from http://hg.mozilla.org/tracemonkey/rev/b71f5419e37a : Works
2011-06-06-04 : Built from http://hg.mozilla.org/projects/private-browsing/rev/80356fecf627 : Works
2011-06-05-04 : Built from http://hg.mozilla.org/projects/private-browsing/rev/80356fecf627 : Works


I hope this will be enough for you to locate the bug.

Regards.

Laurent
Comment 18 Jan de Mooij [:jandem] 2011-08-19 01:35:50 PDT
Laurentwb, thanks for narrowing this down. Can you check if there are any (new) errors or warnings in the Web Console? Open a new tab, open the Web Console (in the Tools -> Web Developer menu) and load the page.

Probably bug 663300, bug 663331 or bug 646129.
Comment 19 Laurentwb 2011-08-19 03:46:03 PDT
Hi

I can not really do that before tonight because I'm at work right now.
However, I check the web console by curiosity and figured out that I'm not sure where to enter a site address to load the page. Is it just in the navigation as routinely or somewhere else ?
Comment 20 Jan de Mooij [:jandem] 2011-08-19 04:33:49 PDT
(In reply to Laurentwb from comment #19)
> However, I check the web console by curiosity and figured out that I'm not
> sure where to enter a site address to load the page. Is it just in the
> navigation as routinely or somewhere else ?

Yeah just enter the URL in the address bar, like you'd do without the Web Console. For instance if you go to google.com you will see some new messages in the web console. You can ignore the black and blue messages. If you see an orange message when you open the file browser, please copy/paste it in this bug.
Comment 21 Laurentwb 2011-08-19 05:19:25 PDT
I suppose I have to run this one working and one non-working versions ?
Comment 22 Laurentwb 2011-08-19 05:26:55 PDT
I just tried on my office computer with the url http://www.google.com.
It does open the page in a new tab and nothing is written in the web console.

Could you comment ?
Comment 23 Laurentwb 2011-08-19 05:30:43 PDT
Never mind. I got it. It was due to an add-on about tabs.
Comment 24 Laurentwb 2011-08-19 09:56:46 PDT
Hi,

This the result obtained with the build from 2011-06-14-03 Trace monkey :

1) Errors only :

[18:50:21.891] Unknown property 'zoom'.  Declaration dropped. @ http://192.168.0.4:7000/scripts/ext-3/resources/css/xtheme-gray.css?1748:85
[18:50:21.912] Unknown property '-moz-opacity'.  Declaration dropped. @ http://192.168.0.4:7000/scripts/ext-3/resources/css/xtheme-gray.css?1748:189
[18:50:21.924] Error in parsing value for 'filter'.  Declaration dropped. @ http://192.168.0.4:7000/scripts/ext-3/resources/css/xtheme-gray.css?1748:190
[18:50:21.946] Unknown property 'zoom'.  Declaration dropped. @ http://192.168.0.4:7000/scripts/ext-3/ux/ux-all.css?1748:1
[18:50:21.958] Unknown property '-moz-opacity'.  Declaration dropped. @ http://192.168.0.4:7000/webUI/style.css?1748:130
[18:50:21.970] Error in parsing value for 'filter'.  Declaration dropped. @ http://192.168.0.4:7000/webUI/style.css?1748:132
[18:50:21.983] Unknown property 'zoom'.  Declaration dropped. @ http://192.168.0.4:7000/webUI/style.css?1748:136
[18:50:22.002] Unknown property '-moz-opacity'.  Declaration dropped. @ http://192.168.0.4:7000/scripts/ext-3/resources/css/ext-all.css?1748:1
[18:50:22.014] Error in parsing value for 'filter'.  Declaration dropped. @ http://192.168.0.4:7000/scripts/ext-3/resources/css/ext-all.css?1748:1
[18:50:22.027] Unknown property 'zoom'.  Declaration dropped. @ http://192.168.0.4:7000/scripts/ext-3/resources/css/ext-all.css?1748:1
[18:50:22.046] Unknown property '-moz-outline'.  Declaration dropped. @ http://192.168.0.4:7000/scripts/ext-3/resources/css/ext-all.css?1748:1
[18:50:22.135] Unknown property 'text-overflow'.  Declaration dropped. @ http://192.168.0.4:7000/scripts/ext-3/resources/css/ext-all.css?1748:1
[18:50:22.178] Error in parsing value for 'white-space'.  Declaration dropped. @ http://192.168.0.4:7000/scripts/ext-3/resources/css/ext-all.css?1748:1
[18:50:22.515] Expected color but found 'invert'.  Error in parsing value for 'outline'.  Declaration dropped. @ http://192.168.0.4:7000/scripts/ext-3/resources/css/ext-all.css?1748:1

2) all :

[18:50:21.573] GET http://192.168.0.4:7000/index.cgi [HTTP/1.1 200 OK 109ms]
[18:50:21.710] GET http://192.168.0.4:7000/scripts/ext-3/resources/css/ext-all.css?1748 [HTTP/1.1 304 Not Modified 31ms]
[18:50:21.720] GET http://192.168.0.4:7000/scripts/ext-3/resources/css/xtheme-gray.css?1748 [HTTP/1.1 304 Not Modified 0ms]
[18:50:21.726] GET http://192.168.0.4:7000/scripts/ext-3/ux/ux-all.css?1748 [HTTP/1.1 304 Not Modified 0ms]
[18:50:21.731] GET http://192.168.0.4:7000/webUI/style.css?1748 [HTTP/1.1 304 Not Modified 0ms]
[18:50:21.740] GET http://192.168.0.4:7000/scripts/uistrings.cgi?lang=enu&1748 [HTTP/1.1 200 OK 125ms]
[18:50:21.748] GET http://192.168.0.4:7000/webUI/uistrings.cgi?lang=enu&1748 [HTTP/1.1 304 Not Modified 187ms]
[18:50:21.755] GET http://192.168.0.4:7000/scripts/jslibdefs.cgi?1748 [HTTP/1.1 200 OK 141ms]
[18:50:21.764] GET http://192.168.0.4:7000/webUI/synodefs.cgi?1748 [HTTP/1.1 200 OK 203ms]
[18:50:21.772] GET http://192.168.0.4:7000/scripts/prototype-1.6.1/prototype.js?1748 [HTTP/1.1 304 Not Modified 187ms]
[18:50:21.780] GET http://192.168.0.4:7000/scripts/ext-3/adapter/ext/ext-base.js?1748 [HTTP/1.1 304 Not Modified 187ms]
[18:50:21.788] GET http://192.168.0.4:7000/scripts/ext-3/ext-all.js?1748 [HTTP/1.1 304 Not Modified 187ms]
[18:50:21.799] GET http://192.168.0.4:7000/scripts/ext-3/ux/ux-all.js?1748 [HTTP/1.1 304 Not Modified 187ms]
[18:50:21.807] GET http://192.168.0.4:7000/webUI/synosdsutils.js?1748 [HTTP/1.1 304 Not Modified 187ms]
[18:50:21.819] GET http://192.168.0.4:7000/webUI/webfm-common.js?1748 [HTTP/1.1 304 Not Modified 187ms]
[18:50:21.832] GET http://192.168.0.4:7000/webUI/webfm-user.js?1748 [HTTP/1.1 304 Not Modified 187ms]
[18:50:21.891] Unknown property 'zoom'.  Declaration dropped. @ http://192.168.0.4:7000/scripts/ext-3/resources/css/xtheme-gray.css?1748:85
[18:50:21.912] Unknown property '-moz-opacity'.  Declaration dropped. @ http://192.168.0.4:7000/scripts/ext-3/resources/css/xtheme-gray.css?1748:189
[18:50:21.924] Error in parsing value for 'filter'.  Declaration dropped. @ http://192.168.0.4:7000/scripts/ext-3/resources/css/xtheme-gray.css?1748:190
[18:50:21.946] Unknown property 'zoom'.  Declaration dropped. @ http://192.168.0.4:7000/scripts/ext-3/ux/ux-all.css?1748:1
[18:50:21.958] Unknown property '-moz-opacity'.  Declaration dropped. @ http://192.168.0.4:7000/webUI/style.css?1748:130
[18:50:21.970] Error in parsing value for 'filter'.  Declaration dropped. @ http://192.168.0.4:7000/webUI/style.css?1748:132
[18:50:21.983] Unknown property 'zoom'.  Declaration dropped. @ http://192.168.0.4:7000/webUI/style.css?1748:136
[18:50:22.002] Unknown property '-moz-opacity'.  Declaration dropped. @ http://192.168.0.4:7000/scripts/ext-3/resources/css/ext-all.css?1748:1
[18:50:22.014] Error in parsing value for 'filter'.  Declaration dropped. @ http://192.168.0.4:7000/scripts/ext-3/resources/css/ext-all.css?1748:1
[18:50:22.027] Unknown property 'zoom'.  Declaration dropped. @ http://192.168.0.4:7000/scripts/ext-3/resources/css/ext-all.css?1748:1
[18:50:22.046] Unknown property '-moz-outline'.  Declaration dropped. @ http://192.168.0.4:7000/scripts/ext-3/resources/css/ext-all.css?1748:1
[18:50:22.135] Unknown property 'text-overflow'.  Declaration dropped. @ http://192.168.0.4:7000/scripts/ext-3/resources/css/ext-all.css?1748:1
[18:50:22.178] Error in parsing value for 'white-space'.  Declaration dropped. @ http://192.168.0.4:7000/scripts/ext-3/resources/css/ext-all.css?1748:1
[18:50:22.515] Expected color but found 'invert'.  Error in parsing value for 'outline'.  Declaration dropped. @ http://192.168.0.4:7000/scripts/ext-3/resources/css/ext-all.css?1748:1
[18:50:23.244] GET http://192.168.0.4:7000/webUI/header_pic.cgi/customized_pic_mini.png [HTTP/1.1 200 OK 62ms]
[18:50:23.302] POST http://192.168.0.4:7000/webUI/webfm.cgi [HTTP/1.1 200 OK 125ms]
[18:50:23.360] GET http://192.168.0.4:7000/webUI/file_share.cgi?_dc=1313772623190&action=getshares&node=fm_root [HTTP/1.1 200 OK 140ms]
[18:50:23.383] GET http://192.168.0.4:7000/webUI/showhelp.cgi?lang=enu [HTTP/1.1 200 OK 109ms]
[18:50:23.598] POST http://192.168.0.4:7000/webUI/webfm.cgi [HTTP/1.1 200 OK 94ms]
[18:50:23.634] GET http://192.168.0.4:7000/help.css [HTTP/1.1 404 Not Found 0ms]
[18:50:23.756] POST http://192.168.0.4:7000/webUI/webfm.cgi [HTTP/1.1 200 OK 78ms]
[18:50:26.236] POST http://192.168.0.4:7000/usersettings.cgi [HTTP/1.1 200 OK 63ms]
Comment 25 Laurentwb 2011-08-19 10:07:58 PDT
Hi again :

When I run it with  the build from 2011-06-13-03 Trace monkey, although the displayed page is looking ok, there is plenty of errors. Here are they :


[19:02:59.010] Unknown property '-moz-opacity'.  Declaration dropped. @ http://192.168.0.4:7000/scripts/ext-3/resources/css/ext-all.css?1748:1
[19:02:59.021] Error in parsing value for 'filter'.  Declaration dropped. @ http://192.168.0.4:7000/scripts/ext-3/resources/css/ext-all.css?1748:1
[19:02:59.033] Unknown property 'zoom'.  Declaration dropped. @ http://192.168.0.4:7000/scripts/ext-3/resources/css/ext-all.css?1748:1
[19:02:59.059] Unknown property '-moz-outline'.  Declaration dropped. @ http://192.168.0.4:7000/scripts/ext-3/resources/css/ext-all.css?1748:1
[19:02:59.132] Unknown property 'text-overflow'.  Declaration dropped. @ http://192.168.0.4:7000/scripts/ext-3/resources/css/ext-all.css?1748:1
[19:02:59.168] Error in parsing value for 'white-space'.  Declaration dropped. @ http://192.168.0.4:7000/scripts/ext-3/resources/css/ext-all.css?1748:1
[19:02:59.440] Expected color but found 'invert'.  Error in parsing value for 'outline'.  Declaration dropped. @ http://192.168.0.4:7000/scripts/ext-3/resources/css/ext-all.css?1748:1
[19:02:59.584] Unknown property 'zoom'.  Declaration dropped. @ http://192.168.0.4:7000/scripts/ext-3/resources/css/xtheme-gray.css?1748:85
[19:02:59.601] Unknown property '-moz-opacity'.  Declaration dropped. @ http://192.168.0.4:7000/scripts/ext-3/resources/css/xtheme-gray.css?1748:189
[19:02:59.618] Error in parsing value for 'filter'.  Declaration dropped. @ http://192.168.0.4:7000/scripts/ext-3/resources/css/xtheme-gray.css?1748:190
[19:02:59.641] Unknown property '-moz-opacity'.  Declaration dropped. @ http://192.168.0.4:7000/webUI/style.css?1748:130
[19:02:59.658] Error in parsing value for 'filter'.  Declaration dropped. @ http://192.168.0.4:7000/webUI/style.css?1748:132
[19:02:59.672] Unknown property 'zoom'.  Declaration dropped. @ http://192.168.0.4:7000/webUI/style.css?1748:136
[19:02:59.693] Unknown property 'zoom'.  Declaration dropped. @ http://192.168.0.4:7000/scripts/ext-3/ux/ux-all.css?1748:1
Comment 26 Laurentwb 2011-08-19 10:09:45 PDT
Strange to me. I'll check again to make sure it is so.
Comment 27 Laurentwb 2011-08-19 11:14:59 PDT
(In reply to Laurentwb from comment #26)
> Strange to me. I'll check again to make sure it is so.

It is so.
Comment 28 Jan de Mooij [:jandem] 2011-08-20 10:26:19 PDT
I think these messages are all unrelated and harmless.. So I'm not sure what's the best way forward here.

As I said in comment 18, this is probably a regression from bug 663300, bug 663331 or bug 646129. One of the patches may have introduced a new bug, or the website is broken and relied on a bug in Firefox.
Comment 29 Laurentwb 2011-08-20 22:57:18 PDT
Hi,

Following a suggestion of XtC4UaLL, I made one further test with a ff9 version downloaded as a zip file. I created a "testing" profile and tested again.

Here is the report from the webconsole :

Built from http://hg.mozilla.org/mozilla-central/rev/6009974c1e1c 


[07:45:58.440] GET http://192.168.0.4:7000/index.cgi [HTTP/1.1 200 OK 109ms]
[07:45:58.576] GET http://192.168.0.4:7000/scripts/ext-3/resources/css/ext-all.css?1748 [HTTP/1.1 304 Not Modified 31ms]
[07:45:58.587] GET http://192.168.0.4:7000/scripts/ext-3/resources/css/xtheme-gray.css?1748 [HTTP/1.1 304 Not Modified 0ms]
[07:45:58.603] GET http://192.168.0.4:7000/scripts/ext-3/ux/ux-all.css?1748 [HTTP/1.1 304 Not Modified 0ms]
[07:45:58.612] GET http://192.168.0.4:7000/webUI/style.css?1748 [HTTP/1.1 304 Not Modified 0ms]
[07:45:58.624] GET http://192.168.0.4:7000/images/site/synologo.gif [HTTP/1.1 304 Not Modified 0ms]
[07:45:58.636] GET http://192.168.0.4:7000/scripts/uistrings.cgi?lang=enu&1748 [HTTP/1.1 200 OK 125ms]
[07:45:58.648] GET http://192.168.0.4:7000/webUI/uistrings.cgi?lang=enu&1748 [HTTP/1.1 304 Not Modified 468ms]
[07:45:58.660] GET http://192.168.0.4:7000/scripts/jslibdefs.cgi?1748 [HTTP/1.1 200 OK 109ms]
[07:45:58.672] GET http://192.168.0.4:7000/webUI/synodefs.cgi?1748 [HTTP/1.1 200 OK 140ms]
[07:45:58.685] GET http://192.168.0.4:7000/scripts/prototype-1.6.1/prototype.js?1748 [HTTP/1.1 304 Not Modified 0ms]
[07:45:58.698] GET http://192.168.0.4:7000/scripts/ext-3/adapter/ext/ext-base.js?1748 [HTTP/1.1 304 Not Modified 16ms]
[07:45:58.711] GET http://192.168.0.4:7000/scripts/ext-3/ext-all.js?1748 [HTTP/1.1 304 Not Modified 16ms]
[07:45:58.724] GET http://192.168.0.4:7000/scripts/ext-3/ux/ux-all.js?1748 [HTTP/1.1 304 Not Modified 16ms]
[07:45:58.738] GET http://192.168.0.4:7000/webUI/synosdsutils.js?1748 [HTTP/1.1 304 Not Modified 16ms]
[07:45:58.753] GET http://192.168.0.4:7000/webUI/webfm-common.js?1748 [HTTP/1.1 304 Not Modified 16ms]
[07:45:58.769] GET http://192.168.0.4:7000/webUI/webfm-user.js?1748 [HTTP/1.1 304 Not Modified 16ms]
[07:45:58.784] GET http://192.168.0.4:7000/scripts/ext-3/resources/images/default/grid/loading.gif [HTTP/1.1 304 Not Modified 16ms]
[07:45:58.874] Unknown property 'zoom'.  Declaration dropped. @ http://192.168.0.4:7000/scripts/ext-3/resources/css/xtheme-gray.css?1748:85
[07:45:58.888] Unknown property '-moz-opacity'.  Declaration dropped. @ http://192.168.0.4:7000/scripts/ext-3/resources/css/xtheme-gray.css?1748:189
[07:45:58.902] Error in parsing value for 'filter'.  Declaration dropped. @ http://192.168.0.4:7000/scripts/ext-3/resources/css/xtheme-gray.css?1748:190
[07:45:58.924] Unknown property 'zoom'.  Declaration dropped. @ http://192.168.0.4:7000/scripts/ext-3/ux/ux-all.css?1748:1
[07:45:58.937] Unknown property '-moz-opacity'.  Declaration dropped. @ http://192.168.0.4:7000/webUI/style.css?1748:130
[07:45:58.951] Error in parsing value for 'filter'.  Declaration dropped. @ http://192.168.0.4:7000/webUI/style.css?1748:132
[07:45:58.965] Unknown property 'zoom'.  Declaration dropped. @ http://192.168.0.4:7000/webUI/style.css?1748:136
[07:45:58.995] Unknown property '-moz-opacity'.  Declaration dropped. @ http://192.168.0.4:7000/scripts/ext-3/resources/css/ext-all.css?1748:1
[07:45:59.009] Error in parsing value for 'filter'.  Declaration dropped. @ http://192.168.0.4:7000/scripts/ext-3/resources/css/ext-all.css?1748:1
[07:45:59.023] Unknown property 'zoom'.  Declaration dropped. @ http://192.168.0.4:7000/scripts/ext-3/resources/css/ext-all.css?1748:1
[07:45:59.050] Unknown property '-moz-outline'.  Declaration dropped. @ http://192.168.0.4:7000/scripts/ext-3/resources/css/ext-all.css?1748:1
[07:45:59.243] Error in parsing value for 'white-space'.  Declaration dropped. @ http://192.168.0.4:7000/scripts/ext-3/resources/css/ext-all.css?1748:1
[07:45:59.829] Expected color but found 'invert'.  Error in parsing value for 'outline'.  Declaration dropped. @ http://192.168.0.4:7000/scripts/ext-3/resources/css/ext-all.css?1748:1
[07:46:00.130] GET http://192.168.0.4:7000/images/site/block-bg.gif [HTTP/1.1 304 Not Modified 0ms]
[07:46:00.356] GET http://192.168.0.4:7000/webUI/header_pic.cgi/customized_pic_mini.png [HTTP/1.1 200 OK 62ms]
[07:46:00.714] POST http://192.168.0.4:7000/webUI/webfm.cgi [HTTP/1.1 200 OK 110ms]
[07:46:00.763] GET http://192.168.0.4:7000/scripts/ext-3/resources/images/gray/qtip/tip-sprite.gif [HTTP/1.1 304 Not Modified 0ms]
[07:46:00.776] GET http://192.168.0.4:7000/scripts/ext-3/resources/images/gray/qtip/tip-anchor-sprite.gif [HTTP/1.1 304 Not Modified 0ms]
[07:46:00.804] GET http://192.168.0.4:7000/scripts/ext-3/resources/images/gray/panel/white-top-bottom.gif [HTTP/1.1 304 Not Modified 0ms]
[07:46:00.818] GET http://192.168.0.4:7000/scripts/ext-3/resources/images/gray/panel/tool-sprites.gif [HTTP/1.1 304 Not Modified 0ms]
[07:46:00.832] GET http://192.168.0.4:7000/scripts/ext-3/resources/images/gray/toolbar/bg.gif [HTTP/1.1 304 Not Modified 0ms]
[07:46:00.846] GET http://192.168.0.4:7000/scripts/ext-3/resources/images/gray/button/btn.gif [HTTP/1.1 304 Not Modified 0ms]
[07:46:00.860] GET http://192.168.0.4:7000/images/button/toolbar_refresh.png [HTTP/1.1 304 Not Modified 0ms]
[07:46:00.873] GET http://192.168.0.4:7000/scripts/ext-3/resources/images/default/grid/grid-split.gif [HTTP/1.1 304 Not Modified 0ms]
[07:46:00.887] GET http://192.168.0.4:7000/scripts/ext-3/resources/images/default/s.gif [HTTP/1.1 304 Not Modified 31ms]
[07:46:00.900] GET http://192.168.0.4:7000/scripts/ext-3/resources/images/gray/grid/grid3-hrow2.gif [HTTP/1.1 304 Not Modified 0ms]
[07:46:00.914] GET http://192.168.0.4:7000/scripts/ext-3/resources/images/default/dd/drop-no.gif [HTTP/1.1 304 Not Modified 15ms]
[07:46:00.927] GET http://192.168.0.4:7000/scripts/ext-3/resources/images/gray/grid/col-move-top.gif [HTTP/1.1 304 Not Modified 15ms]
[07:46:00.939] GET http://192.168.0.4:7000/scripts/ext-3/resources/images/gray/grid/col-move-bottom.gif [HTTP/1.1 304 Not Modified 15ms]
[07:46:00.952] GET http://192.168.0.4:7000/scripts/ext-3/resources/images/gray/grid/grid3-hrow-over2.gif [HTTP/1.1 304 Not Modified 15ms]
[07:46:00.966] GET http://192.168.0.4:7000/scripts/ext-3/resources/images/gray/grid/sort_asc.gif [HTTP/1.1 304 Not Modified 31ms]
[07:46:00.978] GET http://192.168.0.4:7000/images/site/last_folder.gif [HTTP/1.1 304 Not Modified 15ms]
[07:46:00.991] GET http://192.168.0.4:7000/scripts/ext-3/resources/images/default/button/arrow.gif [HTTP/1.1 304 Not Modified 15ms]
[07:46:01.004] GET http://192.168.0.4:7000/scripts/ext-3/resources/images/default/form/text-bg.gif [HTTP/1.1 304 Not Modified 15ms]
[07:46:01.017] GET http://192.168.0.4:7000/scripts/ext-3/resources/images/gray/form/trigger.gif [HTTP/1.1 304 Not Modified 15ms]
[07:46:01.031] GET http://192.168.0.4:7000/scripts/ext-3/ux/images/TextFilter/search-icon.png [HTTP/1.1 304 Not Modified 15ms]
[07:46:01.044] GET http://192.168.0.4:7000/scripts/ext-3/ux/images/TextFilter/search-cancel.png [HTTP/1.1 304 Not Modified 15ms]
[07:46:01.057] GET http://192.168.0.4:7000/scripts/ext-3/resources/images/default/grid/page-first-disabled.gif [HTTP/1.1 304 Not Modified 15ms]
[07:46:01.070] GET http://192.168.0.4:7000/scripts/ext-3/resources/images/default/grid/page-prev-disabled.gif [HTTP/1.1 304 Not Modified 15ms]
[07:46:01.083] GET http://192.168.0.4:7000/scripts/ext-3/resources/images/default/grid/page-next-disabled.gif [HTTP/1.1 304 Not Modified 15ms]
[07:46:01.096] GET http://192.168.0.4:7000/scripts/ext-3/resources/images/default/grid/page-last-disabled.gif [HTTP/1.1 304 Not Modified 15ms]
[07:46:01.109] GET http://192.168.0.4:7000/scripts/ext-3/resources/images/gray/grid/refresh.gif [HTTP/1.1 304 Not Modified 15ms]
[07:46:01.122] GET http://192.168.0.4:7000/scripts/ext-3/resources/images/gray/tabs/tab-strip-btm-bg.gif [HTTP/1.1 304 Not Modified 15ms]
[07:46:01.135] GET http://192.168.0.4:7000/scripts/ext-3/resources/images/gray/tabs/tab-btm-inactive-right-bg.gif [HTTP/1.1 304 Not Modified 31ms]
[07:46:01.148] GET http://192.168.0.4:7000/scripts/ext-3/resources/images/gray/tabs/tab-btm-inactive-left-bg.gif [HTTP/1.1 304 Not Modified 31ms]
[07:46:01.162] GET http://192.168.0.4:7000/scripts/ext-3/resources/images/gray/tabs/tab-btm-right-bg.gif [HTTP/1.1 304 Not Modified 15ms]
[07:46:01.175] GET http://192.168.0.4:7000/scripts/ext-3/resources/images/gray/tabs/tab-btm-left-bg.gif [HTTP/1.1 304 Not Modified 31ms]
[07:46:01.188] GET http://192.168.0.4:7000/images/button/my_ds.png [HTTP/1.1 304 Not Modified 31ms]
[07:46:01.201] GET http://192.168.0.4:7000/webUI/file_share.cgi?_dc=1313905560624&action=getshares&node=fm_root [HTTP/1.1 200 OK 156ms]
[07:46:01.216] GET http://192.168.0.4:7000/images/site/help.png [HTTP/1.1 304 Not Modified 16ms]
[07:46:01.240] GET http://192.168.0.4:7000/scripts/ext-3/resources/images/default/box/corners.gif [HTTP/1.1 304 Not Modified 16ms]
[07:46:01.253] GET http://192.168.0.4:7000/scripts/ext-3/resources/images/default/box/tb.gif [HTTP/1.1 304 Not Modified 16ms]
[07:46:01.267] GET http://192.168.0.4:7000/scripts/ext-3/resources/images/default/box/l.gif [HTTP/1.1 304 Not Modified 16ms]
[07:46:01.280] GET http://192.168.0.4:7000/scripts/ext-3/resources/images/default/box/r.gif [HTTP/1.1 304 Not Modified 16ms]
[07:46:01.319] GET http://192.168.0.4:7000/webUI/showhelp.cgi?lang=enu [HTTP/1.1 200 OK 93ms]
[07:46:01.432] POST http://192.168.0.4:7000/webUI/webfm.cgi [HTTP/1.1 200 OK 94ms]
[07:46:01.465] GET http://192.168.0.4:7000/scripts/ext-3/resources/images/gray/tree/arrows.gif [HTTP/1.1 304 Not Modified 0ms]
[07:46:01.479] GET http://192.168.0.4:7000/images/files_ext/folder.png [HTTP/1.1 304 Not Modified 0ms]
[07:46:01.503] GET http://192.168.0.4:7000/help.css [HTTP/1.1 404 Not Found 0ms]
[07:46:01.606] POST http://192.168.0.4:7000/webUI/webfm.cgi [HTTP/1.1 200 OK 78ms]
[07:46:02.419] GET http://192.168.0.4:7000/images/button/computer.png [HTTP/1.1 304 Not Modified 0ms]
[07:46:02.435] GET http://192.168.0.4:7000/scripts/ext-3/resources/images/gray/window/left-corners.png [HTTP/1.1 304 Not Modified 0ms]
[07:46:02.450] GET http://192.168.0.4:7000/scripts/ext-3/resources/images/gray/window/right-corners.png
 [HTTP/1.1 304 Not Modified 0ms]
[07:46:02.468] GET http://192.168.0.4:7000/scripts/ext-3/resources/images/gray/window/top-bottom.png [HTTP/1.1 304 Not Modified 0ms]
[07:46:02.485] GET http://192.168.0.4:7000/scripts/ext-3/resources/images/gray/window/left-right.png [HTTP/1.1 304 Not Modified 15ms]
[07:46:02.502] GET http://192.168.0.4:7000/scripts/ext-3/resources/images/gray/qtip/bg.gif [HTTP/1.1 304 Not Modified 0ms]
[07:46:02.518] GET http://192.168.0.4:7000/scripts/ext-3/resources/images/gray/progress/progress-bg.gif [HTTP/1.1 304 Not Modified 15ms]
[07:46:02.536] GET http://192.168.0.4:7000/scripts/ext-3/resources/images/default/shadow.png [HTTP/1.1 304 Not Modified 15ms]
[07:46:02.554] GET http://192.168.0.4:7000/scripts/ext-3/resources/images/default/shadow-lr.png [HTTP/1.1 304 Not Modified 15ms]
[07:46:02.571] GET http://192.168.0.4:7000/scripts/ext-3/resources/images/default/shadow-c.png [HTTP/1.1 304 Not Modified 15ms]
[07:46:03.648] POST http://192.168.0.4:7000/usersettings.cgi [HTTP/1.1 200 OK 78ms]

XtC4UaLL also suggested to create a bug report to Synology. I'll do so and give you the link once done.
Comment 30 Laurentwb 2011-08-20 23:34:10 PDT
As suggested by XtC4UaLL; I have notified the bug to Synology through their forum. Here is the link : 
http://forum.synology.com/enu/viewtopic.php?f=179&t=40494

Let's hope they will contact you.

Laurent
Comment 31 Laurentwb 2011-08-21 05:06:24 PDT
 to XtC4UaLL :

I checked with the error console and, indeed, there are no errors. Only warnings.
I tried to select them all with ctrl+A but it does not seem to work in the error console. There are too many to copy/paste manually line-by-line.

Aby thing else I can do ?
Comment 32 Laurentwb 2011-08-21 09:01:00 PDT
Created attachment 554722 [details]
Add-on list when working
Comment 33 Laurentwb 2011-08-21 09:01:42 PDT
Created attachment 554723 [details]
Add-on list when not working
Comment 34 Laurentwb 2011-08-21 09:03:05 PDT
Still playing around with this issue, I figured out that the working and non-working versions differ by the Java add-on.
Indeed, the non-working versions list a Java Console 6.0.26 extension as non-compatible with FF7 while the good versions (e.g. trace monkey 2011-06-13) do not identify it as such.
I attached 2 printscreens to show that.

I am not sure at all that it is linked but I have an impression that Java is important for this Synology File Station. Indeed, if Java is not installed, the file station list the drives of the Synology but does not access to anything from 'My Computer'.

Could be good to check what's going on on that side.
Comment 35 Laurentwb 2011-08-21 10:10:46 PDT
No, it is probably not a good hypothesis. Indeed, FF6 also shows the Java Cosole as not compatible but the Synology File Station works with it.
Comment 36 David Mandelin [:dmandelin] 2011-08-22 13:21:24 PDT
Laurentwb, what platform of Firefox are you using? Windows? 32-bit or 64-bit?
Comment 37 Laurentwb 2011-08-22 13:44:49 PDT
(In reply to David Mandelin from comment #36)
> Laurentwb, what platform of Firefox are you using? Windows? 32-bit or 64-bit?

I use FF 32bit because the 64-bit does not manage plug-ins as the Java properly. Java is required for the Synology File Station.

Related to that question, I can tell you that the issue we are discussing occurs with Win 64-bit as well as with 32-bit version.

Regards.
Comment 38 David Mandelin [:dmandelin] 2011-08-22 13:51:53 PDT
(In reply to Laurentwb from comment #37)
> (In reply to David Mandelin from comment #36)
> > Laurentwb, what platform of Firefox are you using? Windows? 32-bit or 64-bit?
> 
> I use FF 32bit because the 64-bit does not manage plug-ins as the Java
> properly. Java is required for the Synology File Station.
> 
> Related to that question, I can tell you that the issue we are discussing
> occurs with Win 64-bit as well as with 32-bit version.
> 
> Regards.

Would you be willing to test with special 32-bit Windows builds we'd send you to identify which change caused the regression?
Comment 39 Laurentwb 2011-08-22 14:00:40 PDT
With pleasure but you'll have to explain what to do if anything special.
Comment 40 Laurentwb 2011-08-26 10:48:08 PDT
I got a feedback from Synology about a bug report that I submitted.
They suggest Firefox developers to contact them and work together to solve the issue whatever the root cause.

Regards.

Laurent
Comment 41 David Mandelin [:dmandelin] 2011-09-01 17:41:56 PDT
(In reply to Laurentwb from comment #40)
> I got a feedback from Synology about a bug report that I submitted.
> They suggest Firefox developers to contact them and work together to solve
> the issue whatever the root cause.

How do I get in touch with them? Via the bug report?
Comment 42 Laurentwb 2011-09-01 19:48:05 PDT
(In reply to David Mandelin from comment #41)

> How do I get in touch with them? Via the bug report?

I think you can contact them through the person behind address beta@synology.com mentioning it is related to   http://forum.synology.com/enu/viewtopic.php?f=179&t=40494 . He contacted me via na email entitled " Synology DSM3.2 Beta Program #2780: [DS111] ".

Regards.
Comment 43 Laurentwb 2011-09-02 08:59:05 PDT
I just figured out that it is possible for you to see the bug by accessing a NAS running a demo of the new DSM 3.2 (DiskStation Manager) on the Synology site. I still run DSM 3.1 as 3.2 is still beta but the proble mis the same with the 2 versions.

The link is : http://demo.synology.com:5000/
Username : Admin
Password : synology

Once logged in, there is a icone "File Browser" to click  on top left.
That's it. With FF6 you get a list of the folders in Synology and, just under, a lit with drives of "My computer". With FF7, you'll have only the list of folders of the synology while the list of "My computer" will fail.

You must have java installed in your computer.

I hope it will help.

Laurent
Comment 44 XtC4UaLL [:xtc4uall] 2011-09-04 11:33:38 PDT
I can repro the Issue in above mentioned Demo Site using a recent MC Nightly.

For listing the Drives within "My computer" the JAVA Plugin seems to be necessary.

WFM against Mozilla/5.0 (Windows NT 5.1) AppleWebKit/535.2 (KHTML, like Gecko) Chrome/15.0.870.0 Safari/535.2

Faking the UA String to Chrome's does not help.
Comment 45 David Mandelin [:dmandelin] 2011-09-07 17:43:51 PDT
Confirmed. Thanks for the demo link. This is the changeset where it stopped working:

changeset:   70734:d2250fc608cc
user:        Jeff Walden <jwalden@mit.edu>
date:        Fri Apr 01 15:24:21 2011 -0700
summary:     Bug 646129 - [[DefaultValue]] on Date objects is wrong when called
with no hint.  r=luke

That was supposed be a spec compliance fix, so this might be a TE issue. I'll follow up with Jeff and Synology.
Comment 46 Laurentwb 2011-09-19 11:19:40 PDT
Any news about this bug ?
Comment 47 Jeff Walden [:Waldo] (remove +bmo to email) 2011-09-19 11:29:06 PDT
dmandelin sent mail to the beta@ address about it, CCing me, and I chimed in with some further querying/suggestions/etc. for investigation.  I don't recall hearing anything back from them yet.
Comment 48 Laurentwb 2011-09-27 13:20:58 PDT
Firefox 7 has been released and Synology did not react so far.
Let's see it's gonna turm to be an issue to them.
Comment 49 Laurentwb 2011-10-06 09:55:45 PDT
Not 100% sure it is linked but I recently discovered a new problem when I installed the released version 7 of Firefox.
Apparently, it is not able to access the admin page of my print server (Sitecom LN308).
I went back to Firefox 6 and confirm that it is working as a charm. Only buggy from FF7.

I've uploaded a image file to show the message it gives.
Comment 50 Laurentwb 2011-10-06 09:57:43 PDT
Created attachment 565267 [details]
Print server LN308 admin page with FF7
Comment 51 Laurentwb 2011-10-06 09:59:08 PDT
All together, it seems difficult to say that FF7 was ready to be officially released.
Comment 52 Elvesoft 2011-10-07 07:54:36 PDT
(In reply to Laurentwb from comment #51)
> All together, it seems difficult to say that FF7 was ready to be officially
> released.

I can confirm this. I'm using a Synology Disk station 107+ and since FF7.0 File Browser and Filestation 3 don't show the local disk and directories.
There's probably a bug in the startup of the Java applet that is used to show the local disk and directories.
I went back down to FF 5.0.1 and this error did not occurred. It's introduced in FF 7.0, is still in FF 7.0.1 and also in the beta1 of FF 8.
Comment 53 Laurentwb 2011-10-07 08:08:55 PDT
(In reply to Elvesoft from comment #52)
> I went back down to FF 5.0.1 and this error did not occurred. It's
> introduced in FF 7.0, is still in FF 7.0.1 and also in the beta1 of FF 8.

Go to FF6. It's fine. Get it from filehippo.com. They have all possible versions ready for download
Comment 54 Tom Schuster [:evilpie] 2011-10-07 08:41:09 PDT
(In reply to Laurentwb from comment #53)
> (In reply to Elvesoft from comment #52)
> > I went back down to FF 5.0.1 and this error did not occurred. It's
> > introduced in FF 7.0, is still in FF 7.0.1 and also in the beta1 of FF 8.
> 
> Go to FF6. It's fine. Get it from filehippo.com. They have all possible
> versions ready for download

Might i suggest using ftp://ftp.mozilla.org/pub/firefox/releases/ ?
Comment 55 Loic 2011-10-07 11:13:21 PDT
Everybody can confirm this, Synology provides a public demo of its firmware, see https://bugzilla.mozilla.org/show_bug.cgi?id=679509#c43
Comment 56 Laurentwb 2011-10-07 15:18:17 PDT
(In reply to Loic from comment #55)
> Everybody can confirm this, Synology provides a public demo of its firmware,
> see https://bugzilla.mozilla.org/show_bug.cgi?id=679509#c43

They do but right now the releases are official (not beta).
Anyway, it works with FF6 and not with FF7. It looks to me like pointing to FF7 as root cause. It is easy to understand that the help of Synology team would be valuable for Mozilla team but the collaboration does not seem to take place.
Comment 57 Elvesoft 2011-10-08 02:55:30 PDT
I had contact with Synology Taiwan last week about this bug in FF7.
Pointed them to this discussion and urged them to get in contact with the Mozilla team.
We cannot do more, can we?

Went back to FF6.0.2. Works ok for me. Thanks Laurentwb
Comment 58 Laurentwb 2011-10-08 03:02:38 PDT
(In reply to Elvesoft from comment #57)
>
> We cannot do more, can we?
> 
> 
No, I don't think we can.
I think Mozilla team needs Synology team to work together.

However, I would like to remind this :

(In reply to Laurentwb from comment #49)
>
> Apparently, it is not able to access the admin page of my print server
> (Sitecom LN308).
> I went back to Firefox 6 and confirm that it is working as a charm. Only
> buggy from FF7.

This emphasizes that, even help of other team like Synology is needed, the problem(s) is more than probably in FF7 and next versions.
Comment 59 Chris Zim 2011-10-09 22:13:29 PDT
Added DSM V 3.2-1922 as a tag to this thread.
Comment 60 Jeff Walden [:Waldo] (remove +bmo to email) 2011-10-09 22:26:01 PDT
Bug 692503 and bug 692206 may be related to this (as further symptoms, or as root causes).  I'll investigate tomorrow morning.

(In reply to Laurentwb from comment #51)
> All together, it seems difficult to say that FF7 was ready to be officially
> released.

Bear in mind that you're considering releasing from the point of view of a single bug.  Every release will introduce bugs.  But every release also has many, many bug fixes.  It's a question of balance between the former and the latter.  If you delay a release to account for new bugs, you also delay the bug fixes too.  It won't always be the case that a new bug outweighs a new feature (nor, of course, the reverse).  It'll depend on the situation, and on a value judgment about what's more important and what's less important.

Reasonable people can disagree about exactly how to determine which bugs are must-fix and which can be briefly tolerated.  I'm merely suggesting that taking a slightly broader view may help you understand the tradeoffs involved in choosing when to prioritize, or not prioritize, a regression.
Comment 61 Laurentwb 2011-10-10 11:56:20 PDT
I understand that. I just insist that I don't think that the bug is on Synology side. Although their help would be greatly appreciated.
Comment 62 Jeff Walden [:Waldo] (remove +bmo to email) 2011-10-10 14:32:53 PDT
It's really not possible to say where a bug like this lies a priori.  If the problem is a browser crash or assertion, that's clearly a browser bug.  But simply unexpected behavior can't be so easily diagnosed.

That said, this is a browser bug, and this now triggers the assertion in bug 692206.  And by definition, an assertion is something a page shouldn't be able to cause.  I have a patch which works as far as Synology goes, just need to test and make sure it works for the bugs mentioned in comment 60 as well.  The first iteration will be trunk-only, because the simple fix very very slightly changes semantics.  But I think that can be worked around for subsequent branch patching, if the simple fix holds up.  More when the build to test those changes finishes.
Comment 63 Jeff Walden [:Waldo] (remove +bmo to email) 2011-10-10 18:51:27 PDT
Created attachment 566108 [details] [diff] [review]
Preliminary patch

I want to write some tests for these, but I figure it's reasonable to get this out there for reviewing while I work on that, and figure out how to get these different methods invoked from tests.  I'll pop those up for separate review when they're ready.

I looked at the other JSClasses in the engine based on this search:

http://mxr.mozilla.org/mozilla-central/ident?i=JSClass&filter=

Assuming I didn't miss an initializer, these are the only two in the browser which don't use JS_ConvertStub, don't properly tail-call to it, and don't have it deliberately set to null to catch bugs (or just because it was a JS engine test that was being lazy).  So I think this resolves things for good as far as trunk's concerned.
Comment 64 Jeff Walden [:Waldo] (remove +bmo to email) 2011-10-11 15:25:15 PDT
Created attachment 566371 [details] [diff] [review]
Tests for those

signal 0'ing in gdb says the test asserts three times without the previous patch (before the first two ok's, then before the lastone), no times with.
Comment 65 Jeff Walden [:Waldo] (remove +bmo to email) 2011-10-11 15:55:22 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/97f2fc986824 (patch)
https://hg.mozilla.org/integration/mozilla-inbound/rev/8c59e49aea63 (test)

That covers trunk.  I'll work on some branch patches that don't change behavior very very slightly.
Comment 67 Loic 2011-10-12 15:37:55 PDT
For the record, here is the bug report on the Synology support board:
http://forum.synology.com/enu/viewtopic.php?f=62&t=40494
Comment 68 Jeff Walden [:Waldo] (remove +bmo to email) 2011-10-12 15:43:11 PDT
Comment on attachment 566108 [details] [diff] [review]
Preliminary patch

Actually, on second thought, probably it's better to just go with the trunk patch -- simpler, easier to understand, and doesn't introduce very very nitpicky edge cases that are hard to get right just-so.  (I tried.)  And the difference in behavior -- only if the plugin had defined a "valueOf" property, and that property was a method -- is minimal, and probably intended anyway (why would someone define a valueOf method in the first place?).  So let's go with this.

aurora/beta should take this to get the fix in for 8/9 and so on.  7 is broken, so does that mean mozilla-release should take this as well, to be part of the next dot release (if any)?  I don't really understand our after-release dot system any more.  I'm sure drivers will quickly educate me!

I verified that this also fixes bug 692503 and bug 692206.
Comment 69 Jeff Walden [:Waldo] (remove +bmo to email) 2011-10-12 15:43:45 PDT
Comment on attachment 566371 [details] [diff] [review]
Tests for those

See comments by the other patch here, for branch rationale/questions/etc.
Comment 70 Jeff Walden [:Waldo] (remove +bmo to email) 2011-10-12 15:47:56 PDT
*** Bug 692503 has been marked as a duplicate of this bug. ***
Comment 71 Jeff Walden [:Waldo] (remove +bmo to email) 2011-10-12 15:49:05 PDT
*** Bug 692206 has been marked as a duplicate of this bug. ***
Comment 72 Boris Zbarsky [:bz] 2011-10-12 19:32:38 PDT
Jeff, given that the comments explicitly said the code was supposed to keep the "valueOf" method, if any, from being called, why is this an OK change to make?  I'm willing to believe that it is, but I'd like to understand why.

bsmedberg, jst, do you know anything about this code?
Comment 73 Johnny Stenback (:jst, jst@mozilla.com) 2011-10-12 21:47:45 PDT
Cc:ing Kenneth Russel in hopes that his memory is better than mine here. The only thing that comes to mind here was that we ran into problems with this when Kenneth was making the Java plugin be scriptable through NPRuntime. I vaguely remember him bringing to my attention an issue where some Java objects had a valueOf() method that was being called in unexpected cases, turning into problems of some sort. But the details are long gone, and not much of a trace of this seems to exist in bugzilla. This code was originally added in bug 393928.

My suspicion here is that this change as written will re-introduce whatever the problem was that caused this empty hook to be added in the first place :(
Comment 74 Kenneth Russell 2011-10-12 22:49:28 PDT
This was a really long time ago, and I left Sun over two years ago, but Johnny's recollection sounds correct. When Java objects are exposed via NPRuntime to JavaScript, all of their Java method names become visible to the JS engine, and there was a naming conflict with some Java classes' valueOf method (java.lang.Integer from what I remember, and possibly others). The calls that the JS engine was making to that method caused exceptions to be thrown at unexpected points during JS scripting of Java applets. For what it's worth, I don't remember IE's ActiveX bridge making such calls.

Removing the filtering of the calls to valueOf for NPObjects is likely to break at least some Java applets.

BTW, I'd suggest renewing contacts at Oracle.
Comment 75 Boris Zbarsky [:bz] 2011-10-12 23:00:02 PDT
> all of their Java method names become visible to the JS engine

I think that covers the "why would someone define a valueOf method in the first place?" question.  :(
Comment 76 Jeff Walden [:Waldo] (remove +bmo to email) 2011-10-12 23:31:57 PDT
I thought that code only covered valueOf specifically on the plugin object element what-have-you itself, and something else was handling other stuff, at least excepting direct properties of the plugin.  Certainly when I was working on tests and such, the way to test was to change the list of properties on the plugin itself.

My memory of Java was that valueOf() was the method to get access to the primitive value for the boxed object types, Integer, String, Boolean, and such.  That nature and functionality dovetailed extremely well with valueOf in JavaScript (probably intentionally, in the reverse direction).  It's news to me that there's a static Integer.valueOf method (well, several of them).  I can see how that would not work so well with this.  :-\

So I guess that means this goes out, and I revert to trying the seemingly branch-y approach.  That appears as if it'll be its own can of worms.  Writing most of what I thought was the simple only-call-toString patch seemed to indicate that it non-trivially broke dom/plugins/test/mochitest/test_propertyAndMethod.html.

For reference, here's what WebKit (maybe distinct from Chromium) does for [[DefaultValue]]:

JSValue JavaInstance::defaultValue(ExecState* exec, PreferredPrimitiveType hint) const
{
    if (hint == PreferString)
        return stringValue(exec); // calls toString
    if (hint == PreferNumber)
        return numberValue(exec); // calls...doubleValue() regardless whether class is Number?
    JavaClass* aClass = static_cast<JavaClass*>(getClass());
    if (aClass->isStringClass())
        return stringValue(exec); // calls toString
    if (aClass->isNumberClass())
        return numberValue(exec);
    if (aClass->isBooleanClass())
        return booleanValue();
    return valueOf(exec); // calls toString
}

I'll back out the patches in the morning.
Comment 77 Elvesoft 2011-10-13 04:29:29 PDT
(In reply to Laurentwb from comment #61)
> I understand that. I just insist that I don't think that the bug is on
> Synology side. Although their help would be greatly appreciated.

Synology released new firmware DSM3.1-1635 for Diskstation DS-107+ yesterday that fixes the 'not showing local drives' problem.

DSM3.2 not updated AFAIK.
Comment 78 Kenneth Russell 2011-10-13 10:37:53 PDT
(In reply to Jeff Walden (remove +bmo to email) from comment #76)
> For reference, here's what WebKit (maybe distinct from Chromium) does for
> [[DefaultValue]]:
> 
> JSValue JavaInstance::defaultValue(ExecState* exec, PreferredPrimitiveType
> hint) const

I doubt very much that that code path is used for Java applets. It looks to me like it's used to bridge to Java on Android. The Java Plug-in is (now) a normal NPRuntime plugin.

The question to ask is what the protocol should be for reducing NPObjects to primitive values for [[DefaultValue]]. If method calls are made against the NPObjects to do this, then they can't be distinguished from method calls the user initiated against the objects from JS, and this leads to problems. Perhaps [[DefaultValue]] with hint String should return "[NPObject 0x...]" and with hint Number should return 1. The user would be responsible for any other conversions.
Comment 79 Ed Morley [:emorley] 2011-10-14 03:52:48 PDT
(In reply to Jeff Walden (remove +bmo to email) from comment #76)
> I'll back out the patches in the morning.

Backout: https://hg.mozilla.org/mozilla-central/rev/40f077f9c4a2
Comment 80 Jeff Walden [:Waldo] (remove +bmo to email) 2011-10-14 15:54:27 PDT
Created attachment 567204 [details] [diff] [review]
Take two

If we're circling back here, Luke, we might as well add that [[DefaultValue]] API call now.  And since this is really just forwarding a [[DefaultValue]] call, it does make the most sense for it to be DefaultValue rather than ToPrimitive that we're exposing.  (Not to say ToPrimitive shouldn't be exposed, just that it's not quite the right thing to use here.)  I understand it to be the case that adding public symbols to release builds and such, without touching existing symbols at all, will not break binary compatibility; someone please correct me if I'm wrong!

This passes all of dom/plugins/test for me, both old tests and new.  I believe it should also fix the original problem here, but I haven't tested that yet -- will do so shortly.
Comment 81 Luke Wagner [:luke] 2011-10-14 16:14:03 PDT
Comment on attachment 567204 [details] [diff] [review]
Take two

>+  // property to simply be ignored.  But there is a problem in one specific
>+  // case: Java, specifically java.lang.Integer.  The Integer class has static
>+  // valueOf methods, none of which are nullary, which will behave poorly when
>+  // called with no arguments.

Wow.
Comment 82 Johnny Stenback (:jst, jst@mozilla.com) 2011-10-14 16:26:11 PDT
Comment on attachment 567204 [details] [diff] [review]
Take two

Interesting :). But if this passes tests on the site that previously broke then this looks like a good way to go here. r=jst
Comment 83 Jeff Walden [:Waldo] (remove +bmo to email) 2011-10-15 20:32:48 PDT
It tested out fine on the site that broke.  Landed in inbound:

https://hg.mozilla.org/integration/mozilla-inbound/rev/38f53f45bbf4

It's the weekend, I'll give it til Monday to request branch approvals, can't hurt to let it settle a little anyway.
Comment 84 Laurentwb 2011-10-16 09:45:04 PDT
Great to see that it works with FF10. We just need to wait now.
Thanks a lot for having done that for us ! We all appreciate !

On the other side, it is still not possible to access to the config page of my print server (Sitecom LN-308). It keeps saying "Corrupted Content Error".

How should I proceed  ? Also generate a bug report ?
For this one, I don't know anyway to give access to a "test site".

Many thanks.

Laurent
Comment 85 :Ehsan Akhgari (busy, don't ask for review please) 2011-10-16 10:45:10 PDT
https://hg.mozilla.org/mozilla-central/rev/38f53f45bbf4
Comment 86 Jeff Walden [:Waldo] (remove +bmo to email) 2011-10-17 14:00:21 PDT
One bug per issue is the general rule -- so file a new bug, please.  (For what it's worth, that error sounds unlikely to be a JavaScript engine problem, although it's impossible to say without investigation.)
Comment 87 Jeff Walden [:Waldo] (remove +bmo to email) 2011-10-17 14:05:11 PDT
Comment on attachment 567204 [details] [diff] [review]
Take two

Fixes this bug, fixes the duplicates of it, the extent of effect of which likely goes beyond just a few sites -- seems worth considering for stable branches to get it to users before Firefox 10.
Comment 88 Laurentwb 2011-10-17 22:27:48 PDT
(In reply to Jeff Walden (remove +bmo to email) from comment #86)
> One bug per issue is the general rule -- so file a new bug, please.  (For
> what it's worth, that error sounds unlikely to be a JavaScript engine
> problem, although it's impossible to say without investigation.)

Yeah, it makes sense to go one bug per issue.
I agree it is probably not Java. The only common feature is that it also appeared between FF6 and FF7.

Thanks for everything.

Laurent
Comment 89 christian 2011-10-18 09:51:02 PDT
Bug 681140 is the corrupted content error. We'll take this bug on Beta and Aurora if you guys aren't too worried about the risk.
Comment 91 Jeff Walden [:Waldo] (remove +bmo to email) 2011-10-18 15:19:08 PDT
Created attachment 567904 [details] [diff] [review]
Fixed-up beta patch

This busted up a bit on beta, because unlike on trunk and aurora (somewhat surprisingly for the latter -- guess time flies), jsval and Value are not the same type.  Simply passing |Valueify(vp)| instead of |vp| in |JS_DefaultValue| fixes the problem noted in logs (still compiling to double-check nothing else is broken besides that).
Comment 92 Daniel Holbert [:dholbert] 2011-10-18 16:28:03 PDT
as waldo said, the beta landing from comment 90 was backed out:
 https://hg.mozilla.org/releases/mozilla-beta/rev/f09e09f27623

(Clearing status-firefox8 until this re-lands on beta)
Comment 93 Jeff Walden [:Waldo] (remove +bmo to email) 2011-10-21 17:19:07 PDT
Branch-safe patch landed:

https://hg.mozilla.org/releases/mozilla-beta/rev/7f6da3a18eac
Comment 94 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2011-11-21 16:42:22 PST
Does this require Synology NAS to verify?
Comment 95 Jeff Walden [:Waldo] (remove +bmo to email) 2011-11-21 17:31:15 PST
Nope, see comment 43.
Comment 96 Paul Silaghi, QA [:pauly] 2011-11-28 08:38:32 PST
Based on comment 43, I've verified this on:

Mozilla/5.0 (Windows NT 5.1; rv:9.0) Gecko/20100101 Firefox/9.0
Mozilla/5.0 (Windows NT 5.1; rv:10.0a2) Gecko/20111127 Firefox/10.0a2
Mozilla/5.0 (Windows NT 5.1; rv:11.0a1) Gecko/20111127 Firefox/11.0a1

Mozilla/5.0 (Windows NT 6.1; rv:9.0) Gecko/20100101 Firefox/9.0
Mozilla/5.0 (Windows NT 6.1; rv:10.0a2) Gecko/20111127 Firefox/10.0a2
Mozilla/5.0 (Windows NT 6.1; rv:11.0a1) Gecko/20111127 Firefox/11.0a1

Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:9.0) Gecko/20100101 Firefox/9.0
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:10.0a2) Gecko/20111127 Firefox/10.0a2
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:11.0a1) Gecko/20111127 Firefox/11.0a1

Mozilla/5.0 (X11; Linux i686; rv:9.0) Gecko/20100101 Firefox/9.0
Mozilla/5.0 (X11; Linux i686; rv:10.0a2) Gecko/20111128 Firefox/10.0a2
Mozilla/5.0 (X11; Linux i686; rv:11.0a1) Gecko/20111128 Firefox/11.0a1

The issue is no longer reproducible, my computer can be accessed properly.
Marking the bug as verified fixed.

Note You need to log in before you can comment on or make changes to this bug.